//Datei: PROTOS.H
// Thermometer mit PIC16F84
// und DS1821
//
// Nur Prototypen
//
// Copyright 2000 by Holger Klabunde
// 01.05.2001
// Compiler CC5x

#ifndef PROTOS_H
#define PROTOS_H

extern void MasterReset();
extern void SendByte(unsigned char by);
extern void ReadByte(unsigned char);
extern void PollStatus();

//extern void Delay1ms(unsigned char);
extern void Delay1ms(unsigned char delay);
extern void Delay10us();
extern void Delay100us(unsigned char delay);

extern void LCDInit();
extern void LCDWriteByte(unsigned char);
extern void LCDCls();
extern void LCDPos(unsigned char, unsigned char);

extern void BinToBCD16();
extern void ShowBCD(unsigned char);

extern void ShowDisplay();

extern unsigned char lcdport;

extern long tempbuf;

extern unsigned char B0,B1;
extern unsigned char R0,R1,R2;

#endif

